Intel 915GM/GMS/910GML: blank screen after booting 2.6.32

Bug #515246 reported by heinjan on 2010-01-31
72
This bug affects 11 people
Affects Status Importance Assigned to Milestone
linux (Fedora)
Won't Fix
Medium
linux (Ubuntu)
High
Surbhi Palande

Bug Description

During boot it seems the intel-driver(same behaviour on all kernels 2.6.32+ from ubuntu lucid) can't find the (internal) display of my laptop (see following line from logging).

Jan 31 20:46:46 casper kernel: [ 2.237248] No connectors reported connected with modes

The screen becomes blank during the boot. Starting GDM or switching to a console doesn't help, the screen stays black.

Kernel 2.6.31-14-generic #48 (from karmic) works

Jan 31 20:46:46 casper kernel: [ 2.237233] ------------[ cut here ]------------
Jan 31 20:46:46 casper kernel: [ 2.237242] WARNING: at /build/buildd/linux-2.6.32/drivers/gpu/drm/drm_crtc_helper.c:1035 drm_helper_initial_config+0x67/0x70 [drm_kms_helper]()
Jan 31 20:46:46 casper kernel: [ 2.237246] Hardware name: VGN-BX196VP
Jan 31 20:46:46 casper kernel: [ 2.237248] No connectors reported connected with modes
Jan 31 20:46:46 casper kernel: [ 2.237250] Modules linked in: i915(+) drm_kms_helper drm i2c_algo_bit ums_cypress ohci1394 usb_storage intel_agp ieee1394 sky2 agpgart video output
Jan 31 20:46:46 casper kernel: [ 2.237266] Pid: 150, comm: modprobe Not tainted 2.6.32-12-generic #16-Ubuntu
Jan 31 20:46:46 casper kernel: [ 2.237269] Call Trace:
Jan 31 20:46:46 casper kernel: [ 2.237278] [<c014ab32>] warn_slowpath_common+0x72/0xa0
Jan 31 20:46:46 casper kernel: [ 2.237284] [<f80f1377>] ? drm_helper_initial_config+0x67/0x70 [drm_kms_helper]
Jan 31 20:46:46 casper kernel: [ 2.237289] [<f80f1377>] ? drm_helper_initial_config+0x67/0x70 [drm_kms_helper]
Jan 31 20:46:46 casper kernel: [ 2.237293] [<c014abab>] warn_slowpath_fmt+0x2b/0x30
Jan 31 20:46:46 casper kernel: [ 2.237298] [<f80f1377>] drm_helper_initial_config+0x67/0x70 [drm_kms_helper]
Jan 31 20:46:46 casper kernel: [ 2.237316] [<f82e10e6>] i915_load_modeset_init+0x646/0x660 [i915]
Jan 31 20:46:46 casper kernel: [ 2.237329] [<f82e1100>] ? i915_vga_set_decode+0x0/0x30 [i915]
Jan 31 20:46:46 casper kernel: [ 2.237343] [<f82e2b93>] i915_driver_load+0x603/0x820 [i915]
Jan 31 20:46:46 casper kernel: [ 2.237359] [<f81cae7f>] ? drm_get_minor+0x12f/0x1d0 [drm]
Jan 31 20:46:46 casper kernel: [ 2.237370] [<f81cb045>] drm_get_dev+0x125/0x230 [drm]
Jan 31 20:46:46 casper kernel: [ 2.237375] [<c025c450>] ? sysfs_addrm_start+0x60/0xa0
Jan 31 20:46:46 casper kernel: [ 2.237392] [<f830daff>] i915_pci_probe+0x12/0x13d [i915]
Jan 31 20:46:46 casper kernel: [ 2.237398] [<c035ee33>] local_pci_probe+0x13/0x20
Jan 31 20:46:46 casper kernel: [ 2.237402] [<c035fc18>] pci_device_probe+0x68/0x90
Jan 31 20:46:46 casper kernel: [ 2.237408] [<c03e2835>] really_probe+0x55/0x150
Jan 31 20:46:46 casper kernel: [ 2.237413] [<c03e8c0e>] ? pm_runtime_barrier+0x4e/0xc0
Jan 31 20:46:46 casper kernel: [ 2.237417] [<c03e296c>] driver_probe_device+0x3c/0x60
Jan 31 20:46:46 casper kernel: [ 2.237421] [<c03e2a11>] __driver_attach+0x81/0x90
Jan 31 20:46:46 casper kernel: [ 2.237426] [<c03e1e43>] bus_for_each_dev+0x53/0x80
Jan 31 20:46:46 casper kernel: [ 2.237430] [<c03e26fe>] driver_attach+0x1e/0x20
Jan 31 20:46:46 casper kernel: [ 2.237433] [<c03e2990>] ? __driver_attach+0x0/0x90
Jan 31 20:46:46 casper kernel: [ 2.237438] [<c03e20c5>] bus_add_driver+0xd5/0x280
Jan 31 20:46:46 casper kernel: [ 2.237442] [<c035fb50>] ? pci_device_remove+0x0/0x40
Jan 31 20:46:46 casper kernel: [ 2.237446] [<c03e2d0a>] driver_register+0x6a/0x120
Jan 31 20:46:46 casper kernel: [ 2.237452] [<c01a5b16>] ? get_tracepoint+0x16/0x260
Jan 31 20:46:46 casper kernel: [ 2.237457] [<c035fe55>] __pci_register_driver+0x45/0xb0
Jan 31 20:46:46 casper kernel: [ 2.237468] [<f81c6353>] drm_init+0xf3/0x100 [drm]
Jan 31 20:46:46 casper kernel: [ 2.237472] [<c01d2340>] ? register_shrinker+0x40/0x50
Jan 31 20:46:46 casper kernel: [ 2.237486] [<f81eb04b>] i915_init+0x4b/0x4d [i915]
Jan 31 20:46:46 casper kernel: [ 2.237489] [<c0101131>] do_one_initcall+0x31/0x190
Jan 31 20:46:46 casper kernel: [ 2.237501] [<f81eb000>] ? i915_init+0x0/0x4d [i915]
Jan 31 20:46:46 casper kernel: [ 2.237507] [<c0180800>] sys_init_module+0xb0/0x210
Jan 31 20:46:46 casper kernel: [ 2.237512] [<c010344c>] syscall_call+0x7/0xb
Jan 31 20:46:46 casper kernel: [ 2.237515] ---[ end trace abefbb4fd653e175 ]---

ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.20.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC260 Analog [ALC260 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC260 Analog [ALC260 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: heinjan 3887 F.... pulseaudio
CRDA: Error: [Errno 2] Bestand of map bestaat niet
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xb0000000 irq 20'
   Mixer name : 'Realtek ALC260'
   Components : 'HDA:10ec0260,104d0900,00100400 HDA:14f12bfa,104d0200,00090000'
   Controls : 12
   Simple ctrls : 7
Date: Sun Jan 31 20:56:10 2010
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=f50e4a80-e102-4aa2-bd4e-0a9b11dd0056
MachineType: Sony Corporation VGN-BX196VP
Package: linux-image-2.6.32-12-generic 2.6.32-12.16
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic root=UUID=5097b878-02d8-49d1-a9db-a5b608659d19 ro quiet splash
ProcEnviron:
 LANG=nl_NL.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
Regression: Yes
RelatedPackageVersions:
 linux-backports-modules-2.6.31-14-generic N/A
 linux-firmware 1.28
Reproducible: Yes
RfKill:

SourcePackage: linux
TestedUpstream: No
Uname: Linux 2.6.31-14-generic i686
dmi.bios.date: 07/10/2006
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: R0190X5
dmi.board.name: Q-Project
dmi.board.vendor: Sony Corporation
dmi.board.version: 01
dmi.chassis.asset.tag: Reserved
dmi.chassis.type: 10
dmi.chassis.vendor: Reserved
dmi.chassis.version: Reserved
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrR0190X5:bd07/10/2006:svnSonyCorporation:pnVGN-BX196VP:pvrC100TRX5:rvnSonyCorporation:rnQ-Project:rvr01:cvnReserved:ct10:cvrReserved:
dmi.product.name: VGN-BX196VP
dmi.product.version: C100TRX5
dmi.sys.vendor: Sony Corporation

User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 (.NET CLR 3.5.30729)

Booting up kernel 2.6.31.6-162.fc12.i686.PAE on my ASRock A330GC mainboard with Intel Dual-Core Atom processor A330 and Intel 945GC + ICH7 chipset with no monitor plugged in (a server does not need a monitor) I get this waring in dmesg output:

i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
i915 0000:00:02.0: setting latency timer to 64
------------[ cut here ]------------
WARNING: at drivers/gpu/drm/drm_crtc_helper.c:1032 drm_helper_initial_config+0x3b/0x57 [drm_kms_helper]() (Not tainted)
Hardware name: To Be Filled By O.E.M.
No connectors reported connected with modes
Modules linked in: i915(+) drm_kms_helper usb_storage drm i2c_algo_bit i2c_core video output
Pid: 110, comm: modprobe Not tainted 2.6.31.6-162.fc12.i686.PAE #1
Call Trace:
 [<c043db1b>] warn_slowpath_common+0x70/0x87
 [<f7fc6e0c>] ? drm_helper_initial_config+0x3b/0x57 [drm_kms_helper]
 [<c043db70>] warn_slowpath_fmt+0x29/0x2c
 [<f7fc6e0c>] drm_helper_initial_config+0x3b/0x57 [drm_kms_helper]
 [<f8007675>] i915_driver_load+0xb1b/0xba1 [i915]
 [<f7f8921a>] drm_get_dev+0x2da/0x3b1 [drm]
 [<f80234b6>] i915_pci_probe+0x12/0x98 [i915]
 [<c05af1a0>] local_pci_probe+0x13/0x15
 [<c05afc3d>] pci_device_probe+0x48/0x6b
 [<c063aafa>] driver_probe_device+0xbc/0x1b8
 [<c063ac3e>] __driver_attach+0x48/0x64
 [<c063a183>] bus_for_each_dev+0x42/0x6c
 [<c063a8f8>] driver_attach+0x19/0x1b
 [<c063abf6>] ? __driver_attach+0x0/0x64
 [<c063a647>] bus_add_driver+0xd0/0x211
 [<c059df3c>] ? kset_find_obj+0x23/0x4f
 [<c063ae93>] driver_register+0x7e/0xe5
 [<c05afdff>] __pci_register_driver+0x3d/0x9a
 [<f7f85571>] drm_init+0x62/0xba [drm]
 [<f8037000>] ? i915_init+0x0/0x48 [i915]
 [<f8037046>] i915_init+0x46/0x48 [i915]
 [<c040305b>] do_one_initcall+0x51/0x13f
 [<c0462ea7>] sys_init_module+0xac/0x1bd
 [<c0408f9b>] sysenter_do_call+0x12/0x28
---[ end trace 9cf3ad6febedbb1c ]---
[drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0

Reproducible: Always

Steps to Reproduce:
1. Reboot system
2. look at dmesg output

Confirmed on like system:

MSI Wind Nettop 100 (Intel Atom 330)

2.6.31.6-166.fc12.x86_64

------------[ cut here ]------------
WARNING: at drivers/gpu/drm/drm_crtc_helper.c:1032 drm_helper_initial_config+0x46/0x61 [drm_kms_helper]() (Not tainted)
Hardware name: MS-7418
No connectors reported connected with modes
Modules linked in: i915(+) drm_kms_helper drm i2c_algo_bit i2c_core video output
Pid: 140, comm: work_for_cpu Not tainted 2.6.31.6-166.fc12.x86_64 #1
Call Trace:
 [<ffffffff810516f4>] warn_slowpath_common+0x84/0x9c
 [<ffffffff81051763>] warn_slowpath_fmt+0x41/0x43
 [<ffffffffa0053320>] drm_helper_initial_config+0x46/0x61 [drm_kms_helper]
 [<ffffffffa005a850>] i915_driver_load+0xb1b/0xba8 [i915]
 [<ffffffffa0029486>] drm_get_dev+0x36e/0x46f [drm]
 [<ffffffff81063b56>] ? do_work_for_cpu+0x0/0x2a
 [<ffffffffa0079ca4>] i915_pci_probe+0x15/0xd5 [i915]
 [<ffffffff81210311>] local_pci_probe+0x17/0x1b
 [<ffffffff81063b6e>] do_work_for_cpu+0x18/0x2a
 [<ffffffff81067781>] kthread+0x91/0x99
 [<ffffffff81012daa>] child_rip+0xa/0x20
 [<ffffffff810676f0>] ? kthread+0x0/0x99
 [<ffffffff81012da0>] ? child_rip+0x0/0x20
---[ end trace afac59a7c55e7a6d ]---

heinjan (heinjan) wrote :
heinjan (heinjan) wrote :

It seems a gentoo user also has this problem with 2.6.32, but not with 2.6.31:

http://help.lockergnome.com/linux/gentoo-user-Intel-Video-i915-driver--ftopict512820.html

I also tested 2.6.33 RC5 (from the kernel ppa), this kernel has the same video-problem as 2.6.32.

heinjan (heinjan) wrote :

After some googling the following thread on the kernel mailing list seems the same problem:

http://linux.derkeiler.com/Mailing-Lists/Kernel/2009-12/msg11751.html

<cut>

    I've upgraded from 2.6.32 and I get a blank screen when the system is
    starting KMS. My motherboard is an Intel DG43NB with onboard video. I
    traced back to the patch that stopped working on my system and it is
    patch-2.6.32-git7. patch-2.6.32-git6 works fine.

I've bisected the kernel and have found that my problem is due to this
commit:

commit fc816655236cd9da162356e96e74c7cfb0834d92

drm/i915: Don't set up HDMI ports that aren't in the BIOS device table.

<cut>

heinjan (heinjan) on 2010-02-01
description: updated
Surbhi Palande (csurbhi) on 2010-02-05
Changed in linux (Ubuntu):
status: New → Triaged
importance: Undecided → High

2.6.31.12-174.2.3.fc12.i686:

[drm] Initialized drm 1.1.0 20060810
i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
mtrr: type mismatch for e0000000,10000000 old: write-back new: write-combining
[drm] MTRR allocation failed. Graphics performance may suffer.
------------[ cut here ]------------
WARNING: at drivers/gpu/drm/drm_crtc_helper.c:1032 drm_helper_initial_config+0x3b/0x57 [drm_kms_helper]() (Not tainted)
Hardware name: X7SLA
No connectors reported connected with modes
Modules linked in: i915(+) drm_kms_helper drm i2c_algo_bit i2c_core video output
Pid: 111, comm: modprobe Not tainted 2.6.31.12-174.2.3.fc12.i686 #1
Call Trace:
[<c0436dbb>] warn_slowpath_common+0x70/0x87
[<f7da8e0c>] ? drm_helper_initial_config+0x3b/0x57 [drm_kms_helper]
[<c0436e10>] warn_slowpath_fmt+0x29/0x2c
[<f7da8e0c>] drm_helper_initial_config+0x3b/0x57 [drm_kms_helper]
[<f7de9616>] i915_driver_load+0xacb/0xb51 [i915]
[<f7d89102>] drm_get_dev+0x2da/0x3b1 [drm]
[<f7e0551e>] i915_pci_probe+0x12/0x9e [i915]
[<c05a8614>] local_pci_probe+0x13/0x15
[<c05a90b1>] pci_device_probe+0x48/0x6b
[<c062c052>] driver_probe_device+0xbc/0x1b8
[<c062c196>] __driver_attach+0x48/0x64
[<c062b6db>] bus_for_each_dev+0x42/0x6c
[<c062be50>] driver_attach+0x19/0x1b
[<c062c14e>] ? __driver_attach+0x0/0x64
[<c062bb9f>] bus_add_driver+0xd0/0x211
[<c0597530>] ? kset_find_obj+0x23/0x4f
[<c062c3eb>] driver_register+0x7e/0xe5
[<c05a9273>] __pci_register_driver+0x3d/0x9a
[<f7d8546d>] drm_init+0x62/0xba [drm]
[<f7cfe000>] ? i915_init+0x0/0x48 [i915]
[<f7cfe046>] i915_init+0x46/0x48 [i915]
[<c0401143>] do_one_initcall+0x51/0x13f
[<c045be1e>] sys_init_module+0xac/0x1be
[<c040365c>] syscall_call+0x7/0xb
---[ end trace 24c94ec72baf571c ]---
[drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0

Hector Ordorica (hechacker1) wrote :

I am a Gentoo user, but ever since 2.6.32-rc, my laptop's LVDS display also goes blank during KMS initialization.

I am pretty sure the kernel crashes too shortly after KMS starts. At least I cannot ssh into the machine.

I am stuck on 2.6.31 unless upstream figures it out. Hopefully Ubuntu can get their attention.

The kernel does boot if I disable KMS, but then I cannot start X, because the intel drivers require KMS now.

Interestingly, if I disable ACPI (acpi=off) then KMS works on 2.6.32+ and I can even boot into X. But this is not a solution, because then my laptops power saving features are disabled, and it crashes when closing the lid (triggering an ACPI event).

My laptop's hardware: 855gm video running i915 driver. Dell 700m.

Surbhi Palande (csurbhi) wrote :

@hechacker1, can you let me know the output of lspci -nn -vvv ?

Surbhi Palande (csurbhi) wrote :

@heinjan, does disabling acpi bring up X for you too ?

Surbhi Palande (csurbhi) wrote :

@heinjan, also can you try this: add a kernel boot option "video=LVDS-1:d" and let me know if your X works.

heinjan (heinjan) wrote :

Booting the latest lucid kernel (2.6.32-13.18) with the kernel boot option acpi=off works, the display comes up fine.

The boot option video=LVDS-1:d doesn't work.

Hector Ordorica (hechacker1) wrote :
Download full text (13.6 KiB)

Here is the output of lspci:

00:00.0 Host bridge [0600]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3580] (rev 02)
 Subsystem: Dell Inspiron 700m/710m [1028:018d]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
 Latency: 0
 Region 0: Memory at <unassigned> (32-bit, prefetchable)
 Capabilities: [40] Vendor Specific Information <?>
 Kernel driver in use: agpgart-intel

00:00.1 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3584] (rev 02)
 Subsystem: Dell Inspiron 700m/710m [1028:018d]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0

00:00.3 System peripheral [0880]: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller [8086:3585] (rev 02)
 Subsystem: Dell Inspiron 700m/710m [1028:018d]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0

00:02.0 VGA compatible controller [0300]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02) (prog-if 00 [VGA controller])
 Subsystem: Dell Inspiron 700m/710m [1028:018d]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
 Latency: 0
 Interrupt: pin A routed to IRQ 11
 Region 0: Memory at e8000000 (32-bit, prefetchable) [size=128M]
 Region 1: Memory at e0000000 (32-bit, non-prefetchable) [size=512K]
 Region 2: I/O ports at 1800 [size=8]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: [d0] Power Management version 1
  Flags: PMEClk- DSI+ D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
 Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation 82852/855GM Integrated Graphics Device [8086:3582] (rev 02)
 Subsystem: Dell Inspiron 700m/710m [1028:018d]
 Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
 Region 1: Memory at e0080000 (32-bit, non-prefetchable) [size=512K]
 Capabilities: [d0] Power Management version 1
  Flags: PMEClk- DSI+ D1+ D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-

00:1d.0 USB Controller [0c03]: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 [8086:24c2] (rev 03) (prog-if 00 [UHCI])
 Subsystem: Dell Inspiron 700m/710m [1028:018d]
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- Dis...

Surbhi Palande (csurbhi) on 2010-02-18
Changed in linux (Ubuntu):
assignee: nobody → Surbhi Palande (csurbhi)
Surbhi Palande (csurbhi) wrote :

Can you please try this kernel ppa : https://launchpad.net/~csurbhi/+archive/karmic-stable
Do let me know if this gets in X for you. This is not the final solution. But if this works, then we should be able to get a step closer to the final solution. This contains code that comments out one suspected error prone acpi function.
Suspend/resume may not work correctly with this patch. But if X works, then that should be good enough.
(also though the ppa is named karmic-stable, it actually has the lucid source package.. ignore the name for now please) Thanks !

Hector Ordorica (hechacker1) wrote :

Any chance I can get the diff for your patch? It would be much faster for me to patch than to download the ppa/source.tar.gz and configure it for my gentoo system.

heinjan (heinjan) wrote :

The kernel (linux-image-2.6.32-14-generic_2.6.32-14.21~testKMS_i386.deb) in the ppa brings up X for me. However, the mouse (touchpad, joystick) didn't work. Haven't tested suspend/resume.

Surbhi Palande (csurbhi) wrote :

heinjan, thanks !! We need your acpi tables and dmesg with this ppa. Can you attach the output of the following:
1) boot with kernel parameter drm.debug=0x6
2) sudo acpidump > acpi.dat
3) sudo dmesg > dmesg.txt
Please attach your acpi.dat and dmesg.txt.

Also run an apport_collect with this ppa, so that we can also look at why your mouse didn't work. (the dmesg will be collected with apport_collect, so you can skip step 3 listed above)

Also can you do the following: (assuming you have a laptop)
1) cat /proc/acpi/button/lid/LID/state
If the state is "closed" then do let us know.

If the state is "open" then proceed:
2) go to Systems->Preferences->Power Management and turn off the suspend i.e do this "when laptop lid is closed" set it to "Blank screen"
3) start ssh daemon
4) close your laptop lid
5) ssh into you laptop
6) cat /proc/acpi/button/lid/LID/state
This should be "closed".

Do let us know what the state is.
Thanks !

Surbhi Palande (csurbhi) wrote :

heinjan, can you also do the followin:
sudo dmidecode > dmidecode.txt
And then attach the dmidecode.txt ?

Surbhi Palande (csurbhi) wrote :

@hechacker1, can you too attach the output of dmidecode as a text file

Surbhi Palande (csurbhi) wrote :

This looks like a ACPI bios bug to me. So, if I get to know more information about your motherboards then that will be very helpful.

Hector Ordorica (hechacker1) wrote :

Mind you this is on a 2.6.31 kernel. Let me know if you need it using the PPA you provided:

hechacker1@700m ~ $ cat /proc/acpi/button/lid/LID0/state
state: closed

Hector Ordorica (hechacker1) wrote :

The above lid state is with my laptop lid open (on a 2.6.31 kernel).

heinjan (heinjan) wrote :

Booted with 2.6.32 from the PPA with drm.debug=0x6. Somehow the mouse now works, that's nice. Between now and the previous test some lucid updates were installed on this laptop. I will keep an eye on the mouse-issue. If I see it again I will run apport_collect.

I will attach the acpi.dat, dmesg.txt and dmidecode.txt from the booted PPA kernel.

The state is closed from the following command (with the lid physically open):
heinjan@casper:~$ cat /proc/acpi/button/lid/LID/state
state: closed
heinjan@casper:~$

heinjan (heinjan) wrote :
heinjan (heinjan) wrote :
heinjan (heinjan) wrote :

I don't have more information on the motherboard than from the dumps of the logs. What kind of info is nice to have which can't be read from the logs? I can remove the motherboard from the laptop to look up this info.

heinjan (heinjan) wrote :

The bios from my laptop is from phoenixbios, version R0190X5, machine name VGN-BX196VP.

Surbhi Palande (csurbhi) wrote :

heckhacker1, heinjan, I suspected that the lid status would be reported closed when the lid was open. I just wanted to confirm that. In fact the ppa did only that :) Commented the code for lid status. Thanks very much. All I needed was the dmidecode output at this point really :) I will write a better solution now and then shall give you a ppa again. If that works.. then thats our solution :)

Michael Evans (mjevans1983) wrote :

I think I might have the same issue on an Nvidia 8xxx based laptop; unfortunately I can't see anything past boot and am not sure if netconsole is built in to the kernel (which is how I debug things on kernels I compile for other distros).

Michael Evans (mjevans1983) wrote :

A different bug was my root cause. Though the bugs both involve lack of working framebuffer leading to an unusable, non-trivial to test/repair, system.

Surbhi Palande (csurbhi) on 2010-02-22
Changed in linux (Ubuntu):
status: Triaged → In Progress
Hector Ordorica (hechacker1) wrote :

If it matters, I just tried the latest 2.6.33 kernel and the KMS still causes my machine to go blank during boot.

This definitely seems like an upstream problem.

I am also pretty sure the machine panics as I have to hard power cycle it. The Sys+Req doesn't work either.

Hector Ordorica (hechacker1) wrote :

Finally to add: Even though the lid status reports closed when it is actually open, with the 2.6.31 kernel it still properly sleeps when I close the lid. It also resumes just fine.

Surbhi Palande (csurbhi) wrote :

heinjan, Hector Ordorica, please let me know if this PPA at https://launchpad.net/~csurbhi/+archive/karmic-stable/ works for you.
I have updated this with code that takes care of the acpi bios bug.
note: (again ignore the ppa name for now)

heinjan (heinjan) wrote :

The ppa works properly for me.

heinjan@casper:~$ uname -a
Linux casper 2.6.32-14-generic #22+lid945gm-Ubuntu SMP Mon Mar 1 13:58:06 UTC 2010 i686 GNU/Linux
heinjan@casper:~$

Hector Ordorica (hechacker1) wrote :

It also works here! Thank You!

What ended up being the problem?

Now probably unrelated, but when I put the laptop to sleep, I have to close the lid twice before it actually suspends to ram. It's like it doesn't sense the first lid event.

I had the same problem in Gentoo a year ago, so maybe it's just a gnome-power-manager problem. I now just use acpid and have the "hibernate-ram" command set when the lid is closed.

Surbhi Palande (csurbhi) wrote :

Thank you heinjan and Hector Ordorica. Hector Ordorica, this is a ACPI Bios bug, where the lid status is wrongly stated. The fix is to blacklist this acpi bios and work around it.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-16.23

---------------
linux (2.6.32-16.23) lucid; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: PM report driver and device suspend/resume times -- move config
  * update to standards version 3.8.4.0
  * printenv -- expose all of the package selectors
  * source package -- cleanup source content control
  * doc package -- ensure we do build package content on buildd
  * lintian -- correct the address in the debian/copyright
  * lintian -- update debhelper package version dependancy
  * lintian -- fix ghostscript dependancy
  * lintian -- add required misc:Depends
  * lintian -- move our debhelper compat level to debian/compat
  * perf -- build the kernel carried tools
  * perf -- add linux-tools carrying the version switches and manuals
  * SAUCE: fix up Kconfig for staging drivers
  * [Config] enable NOUVEAU etc following drm backport
  * update DRM to mainline v2.6.33
  * [Config] Remove AppArmor config options that no longer exist (ports)
  * [Config] updateportsconfigs following drm update

  [ John Johansen ]

  * ubuntu: AppArmor -- update to mainline 2010-03-04
  * SAUCE: AppArmor: Reintroduce AppArmor 2.4 compatibility
  * SAUCE: AppArmor: replace strim with strstrip for 2.6.32 kernels
  * [Config] Remove AppArmor config options that no longer exist

  [ Manoj Iyer ]

  * ubuntu: rtl8192se -- version 2010-0115,0014
    - LP: #530275
  * [Config] added CONFIG_RTL8192SE module.
    - LP: #530275

  [ Tim Gardner ]

  * [Config] Added vmw_pvscsi to d-i/scsi-modules
    - LP: #531017
  * [Upstream] netfilter: xt_recent: Add an entry reaper

  [ Upstream Kernel Changes ]

  * Revert "KVM: x86 emulator: Check CPL level during privilege instruction
    emulation"
  * Revert "KVM: x86 emulator: Fix popf emulation"
  * Revert "KVM: x86 emulator: Check IOPL level during io instruction
    emulation"
  * Revert "KVM: x86 emulator: Add Virtual-8086 mode of emulation"
  * Revert "KVM: fix memory access during x86 emulation."
  * Add vlan (8021.Q) module package for d-i.
  * (pre-stable) drm/i915: blacklist lid status: Sony VGN-BX196VP, Dell
    Inspiron 700m
    - LP: #515246
  * [Upstream] docbook: need xmldoclinks for all doc types
  * x86: set_personality_ia32() misses force_personality32
  * lib: Introduce generic list_sort function
  * drm/nv50: Implement ctxprog/state generation.
  * drm/nv50: Remove redundant/incorrect ctxvals initialisation.
  * (pre-stable) drm/i915: blacklist lid status: Sony VGN-BX196VP, Dell
    Inspiron 700m
    - LP: #515246
 -- Andy Whitcroft <email address hidden> Fri, 05 Mar 2010 15:40:38 +0000

Changed in linux (Ubuntu):
status: In Progress → Fix Released
hannibal (hanniba1) wrote :

The problem isn't solved for me.
I attached output of dmidecode. If you need more information tell me.

LVDS works with "acpi=off" or "nomodeset" as boot option.

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
heinjan (heinjan) wrote :

Fix in 2.6.32-16.23 from lucid works for me.

heinjan@casper:~$ uname -a
Linux casper 2.6.32-16-generic #24-Ubuntu SMP Sat Mar 6 12:33:21 UTC 2010 i686 GNU/Linux
heinjan@casper:~$

Surbhi: thanks for fixing this!

Surbhi Palande (csurbhi) wrote :

hannibal, can you please attach the output of lspci -nn -vvv ?

hannibal (hanniba1) wrote :
Surbhi Palande (csurbhi) wrote :

hannibal, thanks ! I have applied the quirk necessary for your machine and sent the patch upstream. We will get it in Ubuntu and if and when it gets accepted upstream.

Jonathon James (isamaranga) wrote :

I am wondering if this bug is affecting me too in Debian. When I attempted to dist-upgrade from Lenny (stable) to Squeeze (testing), my laptop screen would remain permanently blank after booting. Had to go back to stable just to use my computer. I have an Inspiron 700m with intel graphics... As my first foray into the uncharted territory of Debian testing, this really reinforced my appreciation for stable...

David Tombs (dgtombs) wrote :

Isn't this regression-potential and not regression-release?

Eric Donkersloot (ericd) wrote :

This bug also affects me (Lucid Beta1 amd64 livecd):

Linux ubuntu 2.6.32-16-generic #25-Ubuntu SMP Tue Mar 9 16:33:12 UTC 2010 x86_64 GNU/Linux

Sony Vaio BZ12XN with Intel 4500MHD graphics.

Eric Donkersloot (ericd) wrote :
Surbhi Palande (csurbhi) on 2010-03-25
Changed in linux (Ubuntu):
status: Confirmed → In Progress
Surbhi Palande (csurbhi) wrote :

Eric Donkersloot, can you confirm if the lid status is reported incorrectly for you ? (please follow #13). Thanks!

Eric Donkersloot (ericd) wrote :

Yes, I can confirm the status is incorrect (lid is very much open):

ericd@vaiopro64:~$ cat /proc/acpi/button/lid/LID0/state
state: closed

Surbhi Palande (csurbhi) wrote :

@Eric Donkersloot, Can you please try the ppa at: https://launchpad.net/~csurbhi/+archive/lucid and let me know if it works for you?
The upstream kernel code has changed the way it handles the display and does not rely on the lid status reported by bios code anymore. This ppa includes the upstream patches.

Surbhi Palande (csurbhi) wrote :

@hannibal, can you please try the ppa mentioned in #45 and let me know if it works for you too?

Eric Donkersloot (ericd) wrote :

Since I went back to Karmic on this laptop and the lid status is wrongly reported in Karmic as well, can I use the kernel with Karmic or do you want me to install Lucid again first ?

hannibal (hanniba1) wrote :

@Surbhi Palande, it works for me.

Surbhi Palande (csurbhi) wrote :

hannibal, thanks :)
Eric Donkersloot, you will have to try the ppa with Lucid.

Andy Whitcroft (apw) on 2010-03-31
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.3 KiB)

This bug was fixed in the package linux - 2.6.32-19.28

---------------
linux (2.6.32-19.28) lucid; urgency=low

  [ Andy Whitcroft ]

  * [Config] enable various multitouch devices
    - LP: #541453

  [ Chase Douglas ]

  * (pre-stable): input: ALPS - Add signature for HP Pavilion dm3 laptops
    - LP: #545307
  * SAUCE: Disable function tracing after hitting __schedule_bug
  * SAUCE: Reduce ACPI resource conflict message to KERN_INFO, printf
    cleanup
    - LP: #440470

  [ Jesse Barnes ]

  * SAUCE: drm/i915: don't change DRM configuration when releasing load
    detect pipe
    - LP: #488328

  [ John Johansen ]

  * SAUCE: AppArmor: Remove null_profile's use of PFLAG_NO_LIST_REF
    - LP: #539437
  * SAUCE: AppArmor: Stop page allocation warnings that can occur on policy
    load
    - LP: #458299
  * SAUCE: AppArmor: Return string len rather than the allocation size
    - LP: #551844
  * SAUCE: AppArmor: Fix oops in profile verification if profile unpack
    fails.

  [ Luke Yelavich ]

  * [Config] Enable Nouveau DRM module on powerpc

  [ Stefan Bader ]

  * SAUCE: Pull in thinkpad-acpi from v2.6.34-rc1
    - LP: #357673
  * [Config] Enable thinkpad-acpi ALSA volume control
    - LP: #357673

  [ Steve Conklin ]

  * SAUCE: drm/i915: Disable FBC on 915GM and 945GM
    - LP: #492392, #539609

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) drm/i915: blacklist lid status: Sony VGN-BX196VP,
    Dell Inspiron 700m"
    - LP: #515246
  * (pre-stable) softlockup: Stop spurious softlockup messages due to
    overflow
    - LP: #551068
  * backlight: mbp_nvidia_bl - add five more MacBook variants
    - LP: #511965
  * drm/nv04-nv40: Fix up the programmed horizontal sync pulse delay.
    - LP: #529130
  * drm/nouveau: Fix fbcon corruption with font width not divisible by 8
    - LP: #544739
  * (pre-stable) USB: fix usbfs regression
  * drm/radeon/bo: add some fallback placements for VRAM only objects.
    - LP: #507148
  * drm/radeon/kms: don't print error on -ERESTARTSYS.
    - LP: #507148
  * Input: add the ABS_MT_PRESSURE event
    - LP: #541453
  * HID: Support for 3M multitouch panel
    - LP: #541453
  * HID: make 3M PCT touchscreen driver standalone config option
    - LP: #541453
  * HID: add support for Stantum multitouch panel
    - LP: #541453
  * HID: make Stantum driver standalone config option
    - LP: #541453
  * HID: add support for Acer T230H multitouch
    - LP: #541453
  * HID: add support for Pixart Imaging Optical Touch Screen
    - LP: #541453
  * HID: fixed bug in single-touch emulation on the stantum panel
    - LP: #541453
  * HID: add pressure support for the Stantum multitouch panel
    - LP: #541453
  * HID: Support for MosArt multitouch panel
    - LP: #541453
  * HID: hid-ntrig add multi input quirk and clean up
    - LP: #541453
  * HID: n-trig: remove unnecessary tool switching
    - LP: #541453
  * HID: hid-ntrig: multitouch cleanup and fix
    - LP: #541453
  * HID: hid-ntrig: Single touch mode tap
    - LP: #541453
  * hid: ntrig touch events
    - LP: #541453
  * (pre-stable) x86-32, resume: do a global tlb flush in S4 resume
    - LP: #531309
  * drm/i915: Part of: Add initial bits for VGA mode...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Hendrick Musche (hmu) wrote :

Hi all,
I'm a bit confused here. I had quite some trouble getting my intel graphics to work properly on my new Thinkpad X201, as well with a 9.10 live cd, as well as new daily build from yesterday (29th). Same error here, as soon as KMS comes kicking in my screen goes black. The karmic kernel from comment #29 works fine now on lucid, but the kernel from ppa in #45 produces the same error. acpi=off and i915.modeset=0 gives me X, but I have to use vesa drivers.
lspci follows. Please let me know if you need more info.

Hendrick Musche (hmu) wrote :
Eric Donkersloot (ericd) wrote :

@Surbhi Palande: just tested the latest Ubuntu daily build and this bug has been resolved for me. Thank you very much.

Martin Pitt (pitti) wrote :

This has caused a regression, see bug 556253. Why was the ACPI check ripped out wholesale? Wouldn't it be a better solution to only ignore the ACPI status if there is only one monitor?

Pablo Hess (pablonhess) wrote :

Hey, I was having the same problem with my intel 945GM (i915) on my Gentoo system. Here's how I solved it.

This <https://bugs.launchpad.net/ubuntu/+source/linux/+bug/515246/comments/7> just gave me the hint to look for the 'video=LVDS-1' option, which pointed me to Intel's documentation at <http://intellinuxgraphics.org/documentation.html>.

The problem: your BIOS, like mine, is mistakenly reporting the laptop lid as 'closed', so the i915 KMS driver turns off the display. Starting in kernel 2.6.32, the kernel folks just decided they should start listening to your BIOS in this regard, and that's why it's all messed up now.

The WRONG solution (only useful if everything else fails, because it will render your suspend/hibernate useless): use 'acpi=off' in your kernel line in Grub.

The RIGHT SOLUTION: use 'video=LVDS-1:e' in your kernel line in Grub:

1- edit /boot/grub/menu.lst
2- find the line beginning with 'kernel (hd0,...
3- append this to that line:
video=LVDS-1:e

4- It should work now like it used to.

Please tell me if it works for you, too.

Eric Donkersloot (ericd) wrote :

@Pablo: that is a great suggestion, thank you. The kernel line is no longer needed in Lucid (because of the change made by the Ubuntu kernel developers, see the comments above), but it solves the issue I had with the Fedora Beta live dvd for instance. Very useful kernel option. Thanks again.

This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 12 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora please change the 'version' of this
bug to the applicable version. If you are unable to change the version,
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-lucid' to 'verification-done-lucid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-lucid
Changed in linux (Fedora):
importance: Unknown → Medium
status: Unknown → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.